Create Merge Query
Stay organized with collections
Save and categorize content based on your preferences.
Version 4.0.26.8
Create Merge Query
Creates a new merge query object.
A merge query takes the results of one or more queries and combines (merges) the results
according to field mapping definitions. The result is similar to a SQL left outer join.
A merge query can merge results of queries from different SQL databases.
The order that queries are defined in the source_queries array property is significant. The
first query in the array defines the primary key into which the results of subsequent
queries will be merged.
Like model/view query objects, merge queries are immutable and have structural identity - if
you make a request to create a new merge query that is identical to an existing merge query,
the existing merge query will be returned instead of creating a duplicate. Conversely, any
change to the contents of a merge query will produce a new object with a new id.
Request
POST
/merge_queries
Expand HTTP Body definition...
Expand MergeQuery definition...
can
lock
object
Operations the current user is able to perform on this object
column_limit
string
Column Limit
dynamic_fields
string
Dynamic Fields
result_maker_id
lock
string
Unique to get results
vis_config
object
Visualization Config
Expand HTTP Query definition...
fields
string
Requested fields
Response
200: Merge Query
can
lock
object
Operations the current user is able to perform on this object
column_limit
string
Column Limit
dynamic_fields
string
Dynamic Fields
result_maker_id
lock
string
Unique to get results
Expand MergeQuerySourceQuery definition...
Expand MergeFields definition...
field_name
string
Field name to map onto in the merged results
source_field_name
string
Field name from the source query
query_id
string
Id of the query to merge
query_slug
string
Slug of the query to merge
vis_config
object
Visualization Config
400: Bad Request
message
lock
string
Error details
documentation_url
lock
string
Documentation link
404: Not Found
message
lock
string
Error details
documentation_url
lock
string
Documentation link
409: Resource Already Exists
message
lock
string
Error details
documentation_url
lock
string
Documentation link
422: Validation Error
message
lock
string
Error details
Expand ValidationErrorDetail definition...
field
lock
string
Field with error
code
lock
string
Error code
message
lock
string
Error info message
documentation_url
lock
string
Documentation link
documentation_url
lock
string
Documentation link
429: Too Many Requests
message
lock
string
Error details
documentation_url
lock
string
Documentation link
Examples
Except as otherwise noted, the content of this page is licensed under the Creative Commons Attribution 4.0 License, and code samples are licensed under the Apache 2.0 License. For details, see the Google Developers Site Policies. Java is a registered trademark of Oracle and/or its affiliates.
Last updated 2026-07-13 UTC.
[null,null,["Last updated 2026-07-13 UTC."],[],[]]